/******************************************************************************/
/*  CS/OS2 Plus Module configure os2 adapter cmd file                         */
/*  Part of the IBMCSOS Plus Module                                           */
/*                                                                            */
/*      FLAG REASON   RELEASE DATE   ORIGIN   FLAG DESCRIPTORS                */
/*      ---- -------- ------- ------ ------   ----------------------------    */
/*                    CSOS260 981009 mcronin Initial release                  */
/******************************************************************************/

PARSE ARG parm1 parm2 parm3 .
signal off error

Updatefmt = parm1
Updatecnf = parm2
RestartAdp = parm3

/*  ---------- Strings that require translation                               */

MSGNot="This job only runs on OS2"
MSGNotInstalled="Comm Server for OS2 is not installed"
MSGNotInstalledTec="The TEC adapter for OS2  is not installed"
MSGNotFoundCdsExe="The os2gncds.exe was not found"
MSGNotFoundOS2Fmt="The file tecados2.fmt was not found"
MSGFoundNewFmt="The temporary file tecados2.new was found."
MSGEraseFile="Erase the file and try again."


/*  ---------- If this is not OS2, then report an error                       */

os2path=translate(value('PATH',,'OS2ENVIRONMENT'))
if os2path == '' then
 do
     say MSGNot
     return 1
 end

cmpath=translate(value('CMPATH',,'OS2ENVIRONMENT'))
say cmpath
if cmpath == '' then
 do
     say MSGNotInstalled
     return 1
 end

AdaptBinDir = translate(value('TEC_BINDIR',,'OS2ENVIRONMENT'))
say AdaptBinDir
if AdaptBinDir == '' then
 do
     say MSGNotInstalledTec
     return 1
 end

AdaptEtcDir=AdaptBinDir || "\..\ETC"
Adaptcdsexe = AdaptBinDir || "\os2gncds.exe"
Adaptfmt = AdaptEtcDir || "\tecados2.fmt"
AdaptfmtBak = AdaptEtcDir || "\fmt.bak"
Adaptcds = AdaptEtcDir || "\tecados2.cds"
Adaptcnf = AdaptEtcDir || "\tecados2.conf"
AdaptcnfBak = AdaptEtcDir || "\cnf.bak"
AdaptcdsBak = AdaptEtcDir || "\cds.bak"
AdaptcdsNew = AdaptEtcDir || "\cds.new"
CSAdaptfmtNew = cmpath || "\csos2.fmt"
CSAdaptcnfNew = cmpath || "\csos2.cnf"

if stream(Adaptcdsexe,c,'query exists') == '' then
  do
    say MSGNotFoundCdsExe
    exit 1
  end

if stream(Adaptfmt,c,'query exists') == '' then
  do
    say MSGNotFoundOS2Fmt
    exit 1
  end
else
  do
  if RestartAdp == 'Yes' then
   do
   AdaptBinDir||"\wos2kill -a"
   end
   if Updatefmt == 'Yes' then
   do
    if stream(CSAdaptfmtNew,c,'query exists') ='' then
     do
      if stream(AdaptfmtBak,c,'query exists') = '' then
       do
        erase AdaptfmtBak
       end
      copy Adaptfmt AdaptfmtBak
      erase Adaptfmt
      copy CSAdaptfmtNew Adaptfmt
      Adaptcdsexe Adaptfmt ">" AdaptcdsNew
     end
   end
   if stream(Adaptcnf,c,'query exists') == '' then
    do
       Adaptcnf = AdaptEtcDir || "\tecados2.cnf"
    end
   if Updatecnf == 'Yes' then
   do
     if stream(CSAdaptcnfNew,c,'query exists') = '' then
      do
      if stream(CSAdaptBak,c,'query exists') = '' then  
       do  
       erase AdaptcnfBak
       end
       copy Adaptcnf AdaptcnfBak
       copy CSAdaptcnfNew Adaptcnf
      end
   end
  end

  curdir = Directory()
  savdir = Directory(AdaptBinDir)


if RestartAdp == 'Yes' then
 do

 if stream(AdaptcdsBak,c,'query exists') = '' then
  do
  erase AdaptcdsBak
  end 
  copy Adaptcds AdaptcdsBak
  copy AdaptcdsNew Adaptcds

  set "TEC_BINDIR =" AdaptBinDir
   signal on error
   start "/c" AdaptBinDir||"\tecados2.exe -d -c" Adaptcnf
 end

error:

  savdir = Directory(curdir)

return 0
